
package de.ivu.elect.business.gruppeimgebiet.control;

import de.ivu.elect.jee.exchange.Violation;
import de.ivu.elect.jee.exchange.ViolationLevel;
import de.ivu.elect.business.gruppe.entity.GruppeTK;

public class GruppeNichtGefundenViolation extends Violation {

  private static final long serialVersionUID = 1L;

  private static final String MESSAGE_KEY_FEHLER_GRUPPE_FEHLT = "import.validierung.fehler.gruppe.fehlt";

  public GruppeNichtGefundenViolation(GruppeTK gruppeTK) {
    this(ViolationLevel.WARNING, gruppeTK);
  }

  public GruppeNichtGefundenViolation(ViolationLevel violationLevel, GruppeTK gruppeTK) {
    this(violationLevel, gruppeTK.getSchluessel());
  }

  /**
   * Dieser Konstruktor ist notwendig, da der Java-Compiler Probleme mit dem Aufruf von super(Objects... params) hatte
   */
  private GruppeNichtGefundenViolation(ViolationLevel violationLevel, Object... objects) {
    super(violationLevel, MESSAGE_KEY_FEHLER_GRUPPE_FEHLT, objects);
  }
}
